## org.eclipse.datatools.modelbase.sql.constraints.provider
Class ConstraintItemProvider

    java.lang.Object
      ENamedElementItemProvider
          org.eclipse.datatools.modelbase.sql.schema.provider.SQLObjectItemProvider
              org.eclipse.datatools.modelbase.sql.constraints.provider.ConstraintItemProvider

Direct Known Subclasses:
  AssertionItemProvider, TableConstraintItemProvider

public class ConstraintItemProvider
extends SQLObjectItemProvider

This is the item provider adapter for a `Constraint` object.

See Also:
  Serialized Form

Constructor Summary
`ConstraintItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`java.lang.Object` `getImage(java.lang.Object object)` This returns Constraint.gif.
`java.util.List` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`ResourceLocator` `getResourceLocator()` Return the resource locator for this item provider's resources.
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` `notifyChanged(Notification notification)` This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.provider.SQLObjectItemProvider
`getChildrenFeatures`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintItemProvider

    public ConstraintItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Overrides:
    `getPropertyDescriptors` in class `SQLObjectItemProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns Constraint.gif.

  Overrides:
    `getImage` in class `SQLObjectItemProvider`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Overrides:
    `getText` in class `SQLObjectItemProvider`

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

  Overrides:
    `notifyChanged` in class `SQLObjectItemProvider`

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

  Overrides:
    `getResourceLocator` in class `SQLObjectItemProvider`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.